#include "renderer.h"
#include "region.h"

Renderer::Renderer( Region* aRegion, int aX, int aY )
  : iRegion(aRegion), iX(aX), iY(aY)
{
  

}


void Renderer::Draw( int aX , int aY, int aPixelCode, int rl )
{

  iRegion->Draw( iX + aX, iY + aY, aPixelCode, rl );

}
